Subject: Re: Problem with window groups (X3270)

From: Dan Espen <[email-masked]>
Date: Tue, 30 May 2000 18:55:17 -0400

Dominik Vogt <[email-masked]> writes:
> On Mon, May 29, 2000 at 09:03:37AM -0400, Dan Espen wrote:
> > Dan Espen <[email-masked]> writes:
> > > Wing Tung Leung <[email-masked]> writes:
> > > > Dan Espen wrote:
> > > > > 
> > > > > I'm not sure when this started.  I see it with the current CVS.
> > > > > 
> > > > > I'm using mouse focus.
> > > > > 
> > > > > Start X3270.  Click on the keyboard symbol in the upper right corner.
> > > > > This opens keyboard window.
> > > > > Even though the mouse remains in the main window, the frame of the
> > > > > keyboard window is highlighted.
> > > > 
> > > > Isn't this the normal behaviour? I can reproduce the same with the
> > > > Netscape Mail window and the "Save as" dialog box using SloppyFocus. Th
> e
> > > > dialog box pops up in the center after selecting it in the menu or
> > > > pressing the shortcut Alt+S and gets focus while my pointer stays on th
> e
> > > > main window. The dialog box is a modal one.
> > > 
> > > Hmm, good question.
> > > 
> > > With fvwm 2.2.4, the main x3270 window stays highlighted,
> > > not the keyboard window.
> > > 
> > > I don't think the little keyboard window is  grabbing focus, since its
> > > not meant to  be used thru the keyboard,  it has some buttons to click
> > > on.  I'll take a look and see if I can understand what x3270 is doing.
> 
> The answer is very easy: some time in the past (in the 2.3.x betas)
> we made "GrabFocusTransient" the default behaviour.  From
> ConfigFvwmDefaults:
> 
>   # Default styles
>   Style * GrabFocusTransient
> 
> The keyboard window *is* a transient, and since it accepts the focus
> like any other window fvwm happy focuses it when it's created.  The
> solution is to disable this style explicitly in the config file:
> 
>   Style * GrabFocusTransientOff

Thanks, that "fixes" it.

I guess we did this because we didn't want to rely on the application
doing a grab when they pop-up a transient.  I can see how it can be
helpful.

X3270 is one case where moving the focus doesn't make any sense.
Its pretty confusing since the popup re-routes all the keystrokes
back to the main window.  I didn't understand what was going on
since I could type in the main window, but when I hit the iconify
key, fvwm saw it and iconified the popup.

I see we haven't mentioned this in docs/ANNOUNCE,  I'll try to think
up some words.

Fooling with Lenience didn't have any affect.

Other Things:
=============

I'll try to get to the Exmh icon as soon as I can.

I can do the Purify thing but if someone else wants to jump in
feel free.

I do observe the same behavior with X3270 not quite getting the
transient placement right when you move the main window.
Still I thought the interesting thing is the application allowing
for 3 different window managers.  Sounds like something that should
be addressed in ICCCM3 (if there is such a thing).

An X-Server written in Java?
http://www.jcraft.com/weirdx/index.html

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]